Oracle官方非托管Odac驱动与Oracle官方托管odac驱动

Oracle官方非托管Odac驱动  Oracle.ManagedDataAccess.Client

将连接驱动改为
Oracle官方托管odac驱动,Oracle.ManagedDataAccess.Client

 

 

图片 1

 

起步程序,运行结果 会报  The provider is
not compatible with the version of Oracle
client(提供程序与oracle客户机不兼容)错误,如下图片 2

 

图片 3

Oracle.DataAccess.Client的本子保持一致

 

 

后先后正常化运转,缩小了装客户端的辛勤

方便自己,方便别人,记两遍连接oracle的经历,使用
【Oracle官方非托管Odac驱动,Oracle.DataAccess.Client】连接数据库的时候程序会报错,找了很久都不领悟是什么样来头,原来是本机没有安装客户端。在不设置客户端的场馆下,将连接驱动改为【Oracle官方托管odac驱动,Oracle.ManagedDataAccess.Client】,程序正常化运转

 

 补充:若下载客户端后使用 【Oracle官方非托管Odac驱动,Oracle.DataAccess.Client】,则援引中 Oracle.DataAccess.Client的本子必须跟要连接服务器中

相关文章